Package org.bukkit.event.world

# Class ChunkLoadEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.ChunkEvent
org.bukkit.event.world.ChunkLoadEvent

public class ChunkLoadEvent extends ChunkEvent
Called when a chunk is loaded

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.world.ChunkEvent

`chunk`

## Constructor Summary

Constructors
Constructor
Description
`ChunkLoadEvent(@NotNull Chunk chunk, boolean newChunk)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isNewChunk()`
Gets if this chunk was newly created or not.

### Methods inherited from class org.bukkit.event.world.ChunkEvent

`getChunk`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChunkLoadEvent

public ChunkLoadEvent(@NotNull @NotNull Chunk chunk, boolean newChunk)

## Method Details

### isNewChunk

public boolean isNewChunk()
Gets if this chunk was newly created or not.

Note that if this chunk is new, it will not be populated at this time.

Returns:
  true if the chunk is new, otherwise false

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()